summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-action/clanbomber/clanbomber-2.1.1-r1.ebuild')
-rw-r--r--games-action/clanbomber/clanbomber-2.1.1-r1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/games-action/clanbomber/clanbomber-2.1.1-r1.ebuild b/games-action/clanbomber/clanbomber-2.1.1-r1.ebuild
new file mode 100644
index 00000000000..9779ef71c9b
--- /dev/null
+++ b/games-action/clanbomber/clanbomber-2.1.1-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils
+
+DESCRIPTION="Bomberman-like multiplayer game"
+HOMEPAGE="https://savannah.nongnu.org/projects/clanbomber/"
+SRC_URI="http://download.savannah.gnu.org/releases/${PN}/${P}.tar.lzma"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-libs/boost
+ media-fonts/dejavu
+ media-libs/libsdl[sound,joystick,video]
+ media-libs/sdl-gfx
+ media-libs/sdl-image[png]
+ media-libs/sdl-mixer
+ media-libs/sdl-ttf"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog ChangeLog.hg IDEAS NEWS QUOTES README TODO )
+
+PATCHES=(
+ "${FILESDIR}"/${P}-automake112.patch
+ "${FILESDIR}"/${P}-boost150.patch
+)
+
+src_prepare() {
+ default
+ sed -i -e 's/menuentry//' src/Makefile.am || die
+ eautoreconf
+}
+
+src_install() {
+ default
+ newicon src/pics/cup2.png ${PN}.png
+ make_desktop_entry ${PN}2 ClanBomber2
+ rm -f "${D}${GAMES_DATADIR}"/${PN}/fonts/DejaVuSans-Bold.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf \
+ /usr/share/${PN}/fonts/DejaVuSans-Bold.ttf
+}